# binaryninja.pluginmanager.Repository

class `binaryninja.pluginmanager.``Repository`(handle)

  `Repository` is a read-only class. Use RepositoryManager to Enable/Disable/Install/Uninstall plugins.

  `__init__`(handle)

  Methods

  `__init__`(handle) |

  Attributes

  `full_path` | String full path the repository
  `initialized` | Boolean True when the repository has been initialized
  `local_reference` | String for the local git reference (ie ‘master’)
  `path` | String local path to store the given plugin repository
  `plugins` | List of RepoPlugin objects contained within this repository
  `remote_reference` | String for the remote git reference (ie ‘origin’)
  `url` | String url of the git repository where the plugin repository’s are stored